<md-dialog flex="50" aria-label="Edit user profile" zafira-background-theme="modal" class="styled-modal">
    <form class="form-validation styled-modal__form" name="profile_form" ng-submit="updateUser(); UtilService.untouchForm(profile_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Edit user</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <div layout layout-xs="column" class="input-size-m">
                    <md-input-container flex>
                        <label>Username</label>
                        <input id="username" type="text" ng-model="user.username" name="username" disabled/>
                    </md-input-container>
                </div>
                <div class="inputs-group w-divider">
                    <div layout layout-xs="column" class="input-size-m">
                        <md-input-container flex>
                            <label>First name</label>
                            <input id="firstName"
                                type="text"
                                ng-model="user.firstName"
                                name="firstName"
                                ng-minlength="::UtilService.getValidationValue('name', 'minlength')"
                                ng-maxlength="::UtilService.getValidationValue('name', 'maxlength')"
                                ng-pattern="::UtilService.getValidationValue('name', 'pattern')"
                                required
                            />
                            <div ng-messages="profile_form.firstName.$error">
                                <div ng-repeat="validation in UtilService.validations.name" ng-message="{{validation.name}}">
                                    <span ng-if="validation.additional">
                                        <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                        {{ validation.message }}
                                    </span>
                                    <span ng-if="! validation.additional">{{ validation.message }}</span>
                                </div>
                            </div>
                        </md-input-container>
                    </div>
                    <div layout layout-xs="column" class="input-size-m">
                        <md-input-container flex>
                            <label>Last Name</label>
                            <input id="lastName"
                                type="text"
                                ng-model="user.lastName"
                                name="lastName"
                                ng-minlength="::UtilService.getValidationValue('name', 'minlength')"
                                ng-maxlength="::UtilService.getValidationValue('name', 'maxlength')"
                                ng-pattern="::UtilService.getValidationValue('name', 'pattern')"
                                required
                            />
                            <div ng-messages="profile_form.lastName.$error">
                                <div ng-repeat="validation in UtilService.validations.name" ng-message="{{validation.name}}">
                                    <span ng-if="validation.additional">
                                        <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                        {{ validation.message }}
                                    </span>
                                    <span ng-if="! validation.additional">{{ validation.message }}</span>
                                </div>
                            </div>
                        </md-input-container>
                    </div>
                </div>
                <div layout layout-xs="column">
                    <md-input-container flex>
                        <label>Email</label>
                        <input id="email" type="email" ng-model="user.email" name="email" required ng-pattern="/^.+@.+\..+$/">
                        <div ng-messages="profile_form.email.$error" ng-if="profile_form.email.$dirty">
                            <div ng-message="required">Required</div>
                            <div ng-message="pattern">Invalid format</div>
                        </div>
                    </md-input-container>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button ng-if="user.status == 'INACTIVE'" ng-really-click="updateStatus(user, 'ACTIVE', $index);" ng-really-message="Do you really want to activate this user?" id="activate" class="md-raised">
                Activate
            </md-button>
            <md-button ng-if="user.status == 'ACTIVE'" ng-really-click="updateStatus(user, 'INACTIVE', $index);" ng-really-message="Do you really want to deactivate this user?" id="deactivate" class="md-raised">
                Deactivate
            </md-button>
            <md-button id="save" type="submit"
                       class="md-raised md-primary"
                       ng-disabled="profile_form.$invalid">
                Save
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
